Subject: Re: CAP Capabilities

From: Doug Royer <[email-masked]>
Date: Mon, 19 Jul 1999 14:34:46 -0700 (PDT)

> Date: Mon, 19 Jul 1999 09:01:34 -0700
> From: [email-masked] (Steve Mansour)
> 
> The current proposal in the CAP draft is to have CAPABILITIES returned
> as part of the response to a successful connection, AUTHENTICATE, or
> IDENTITY command. In Oslo, it was pointed out that these were all
> transport commands and that some of the information returned was
> application-level data. We are trying to keep transport and application
> data separate.
> 
> Everyone generally agrees that keeping the transport and application
> layers distinct is a good idea. We need some ideas on how to handle
> CAPABILTIES. Some capabilities are applicable to the transport layer and
> some are applicable to the application layer.
> 
> One option is to have only the transport-level commands returned as part
> of the response to a successful connection, AUTHENTICATE, or IDENTITY
> command. Then we would have to add an application-level command to
> retrieve application-level capabilities.
> 
> What do people think of this?  Any other options to consider?

I don't see a conflict.

Commands replies have 2 parts, the protocol reply, and optional
application reply:

	CUA: AUTHENTICATE .....
	CS:  2.0 <or what ever is a valid reply>
	CS:  <MIME OBJECT>
	CS:  BEGIN: ...
	CS:  ...
	CS:  END: ...
	
The 2.0 is the protocol reply, the MIME object that contains a
BEGIN ... END is the optional application reply.

Other commands have application data, that's the point of sending
a command. Correct?

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
Pager:				[email-masked]
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL

---

From: [email-masked] (Steve Mansour)
Date: Mon, 19 Jul 1999 15:11:05 -0700

> Other commands have application data, that's the point of sending

Right.

The concern was that in response to a transport command, we're returning both
transport data as well as application data.

Does anyone see this as a conflict or did I misunderstand what happened at the
meeting?

-Steve